%define name libstroke
%define version 0.5.1
%define soname 0 
%define release 4mdk

Summary: LibStroke is a stroke interface library
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.etla.net/libstroke/
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Libraries
BuildRequires:	XFree86-devel
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description

LibStroke is a stroke interface library.  Strokes are motions
of the mouse that can be interpreted by a program as a command.  Strokes
are used extensively in CAD programs.

%package -n %{name}%{soname}

Summary: LibStroke is a stroke interface library
Group: System/Libraries

%description -n %{name}%{soname}

LibStroke is a stroke interface library.  Strokes are motions
of the mouse that can be interpreted by a program as a command.  Strokes
are used extensively in CAD programs.

%package -n %{name}%{soname}-devel

Summary: Development libraries for libStroke
Group: Development/C
Provides: %{name}-devel
Requires: %{name}%{soname} = %{version}

%description -n %{name}%{soname}-devel

LibStroke is a stroke interface library.  Strokes are motions
of the mouse that can be interpreted by a program as a command.  Strokes
are used extensively in CAD programs.

%prep
%setup -q

%build

%configure
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%post -n %{name}%{soname} -p /sbin/ldconfig

%postun -n %{name}%{soname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}%{soname}
%defattr(-,root,root)
%doc README AUTHORS COPYING NEWS
%{_libdir}/libgstroke.so.0.0.5
%{_libdir}/libgstroke.so.0
%{_libdir}/libstroke.so.0.0.5
%{_libdir}/libstroke.so.0

%files -n %{name}%{soname}-devel
%defattr(-,root,root)
%doc INSTALL TODO
%{_datadir}/aclocal/*
%{_libdir}/libgstroke.a
%{_libdir}/libgstroke.la
%{_libdir}/libgstroke.so
%{_libdir}/libstroke.a
%{_libdir}/libstroke.la
%{_libdir}/libstroke.so
%{_includedir}/*

%changelog
* Sat Jul 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.5.1-4mdk
- rebuild
- quiet setup

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-3mdk
- rebuild

* Fri May  3 2002 Stefan van der Eijk <stefan@eijk.nu> 0.5.1-2mdk
- BuildRequires
- %{_datadir}/aclocal/ --> %{_datadir}/aclocal/*

* Thu Dec  6 2001 Warly <warly@mandrakesoft.com> 0.5.1-1mdk
- new version


# end of file
